
Redmine - Defect #39232

Locked users in filters only visible to administrators

2023-10-24 09:27 - Turnip Zoink

Status: New Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Filters Estimated time: 0.00 hour

Target version:    

Resolution:  Affected version:  

Description

As per the comments to Feature #15201: Filter "Assignee" should contain locked users.

Only administrative users can filter issues by locked users. Anyone should be able to do this.

Locking a user should prohibit logins with this account and nothing else. All queries related to a locked user should proceed as

normal.

Related issues:

Related to Redmine - Feature #15201: Filter "Assignee" should contain locked ... Closed

History

#1 - 2023-11-27 11:11 - Dmitry Seliverstov

+1 for it

#2 - 2023-11-30 04:08 - Mischa The Evil

- Related to Feature #15201: Filter "Assignee" should contain locked users added

#3 - 2023-11-30 04:16 - Mischa The Evil

- Description updated

- Category changed from Accounts / authentication to Filters

Locked users have never been visible to non-admin users. This should be considered carefully.
